Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.sprm
Class SprmBuffer

    java.lang.Object
      org.apache.poi.hwpf.sprm.SprmBuffer

All Implemented Interfaces:
  java.lang.Cloneable

    public final class SprmBuffer

extends java.lang.Object
implements java.lang.Cloneable

Constructor Summary
`SprmBuffer()` Deprecated. Use `SprmBuffer(int)` instead
`SprmBuffer(byte[] buf)` Deprecated. Use `SprmBuffer(byte[],int)` instead
`SprmBuffer(byte[] buf, boolean istd)` Deprecated. Use `SprmBuffer(byte[],boolean,int)` instead
`SprmBuffer(byte[] buf, boolean istd, int sprmsStartOffset)`
`SprmBuffer(byte[] buf, int _sprmsStartOffset)`
`SprmBuffer(int sprmsStartOffset)`

Method Summary
`void` | `addSprm(short opcode, byte operand)`
`void` | `addSprm(short opcode, byte[] operand)`
`void` | `addSprm(short opcode, int operand)`
`void` | `addSprm(short opcode, short operand)`
`void` | `append(byte[] grpprl)`
`void` | `append(byte[] grpprl, int offset)`
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object obj)`
`SprmOperation` | `findSprm(short opcode)`
`SprmIterator` | `iterator()`
`byte[]` | `toByteArray()`
`java.lang.String` | `toString()`
`void` | `updateSprm(short opcode, boolean operand)`
`void` | `updateSprm(short opcode, byte operand)`
`void` | `updateSprm(short opcode, int operand)`
`void` | `updateSprm(short opcode, short operand)`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SprmBuffer

    public SprmBuffer()

  Deprecated. Use `SprmBuffer(int)` instead

### SprmBuffer

    public SprmBuffer(byte[] buf)

  Deprecated. Use `SprmBuffer(byte[],int)` instead

### SprmBuffer

    public SprmBuffer(byte[] buf,
                      boolean istd)

  Deprecated. Use `SprmBuffer(byte[],boolean,int)` instead

### SprmBuffer

    public SprmBuffer(byte[] buf,
                      boolean istd,
                      int sprmsStartOffset)

### SprmBuffer

    public SprmBuffer(byte[] buf,
                      int _sprmsStartOffset)

### SprmBuffer

    public SprmBuffer(int sprmsStartOffset)

Method Detail

### addSprm

    public void addSprm(short opcode,
                        byte operand)

### addSprm

    public void addSprm(short opcode,
                        byte[] operand)

### addSprm

    public void addSprm(short opcode,
                        int operand)

### addSprm

    public void addSprm(short opcode,
                        short operand)

### append

    public void append(byte[] grpprl)

### append

    public void append(byte[] grpprl,
                       int offset)

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### findSprm

    public SprmOperation findSprm(short opcode)

### toByteArray

    public byte[] toByteArray()

### iterator

    public SprmIterator iterator()

### updateSprm

    public void updateSprm(short opcode,
                           byte operand)

### updateSprm

    public void updateSprm(short opcode,
                           boolean operand)

### updateSprm

    public void updateSprm(short opcode,
                           int operand)

### updateSprm

    public void updateSprm(short opcode,
                           short operand)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD